Subject: bug#73404: 30.0.50; [forward/kill/etc]-sexp commands do not behave as expected in tree-sitter modes

From: Stefan Monnier <[email-masked]>
Date: Sun, 12 Jan 2025 10:08:57 -0500

>> A) If the cursor is right before `a <- ...`, I definitely expect `C-M-f` to
>>    move just over the identifier.
> Is the cursor at the beginning of the line or after indentation?

I was thinking "after indentation".
I don't know what behavior I'd want if it's at the beginning of the line.

> This heuristics looks whitespace-sensitive too: if the cursor was
> after the newline at the beginning of the next line then `C-M-f`
> would move over the next symbol.

Of course: in such languages, LF is very much significant.

>> In (C) what I propose is the behavior that SMIE uses in such cases.
> Is SMIE sensitive to the position of the cursor inside whitespace region
> including newlines?

In those languages where LF is a statement separator
(e.g. `octave-mode`), yes.

        Stefan